# Network Traffic visualized

![Blinking cube at 37C3](img/congress.jpg "Blinking Cube")

## Using an ESP32-S2 to blink NeoPixels based on Wifi traffic

### Hardware setup

- Adafruit QT Py ESP32-S2
- Adafruit NeoPixel Driver BFF
- 8 Pixel LED ring

### Software setup

Built using platformio, espidf, Arduino, `vim`, and love.
Works by hooking the LWIP TCP/IP stack with a custom function.

If you decide to run this, make sure you update `platformio.ini` with your board details!

### Build

`pio run`

### Flash
`pio run -t upload`
